Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryparser.flexible.messages
Interface Message

All Known Implementing Classes:
  MessageImpl

    public interface Message

Message Interface for a lazy loading. For Native Language Support (NLS), system of software internationalization.

Method Summary
`Object[]` | `getArguments()`
`String` | `getKey()`
`String` | `getLocalizedMessage()`
`String` | `getLocalizedMessage(Locale locale)`

Method Detail

### getKey

    String getKey()

### getArguments

    Object[] getArguments()

### getLocalizedMessage

    String getLocalizedMessage()

### getLocalizedMessage

    String getLocalizedMessage(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.